/* eslint-disable react/prop-types */
import { Clock, Users } from 'lucide-react';
import { useRecipeNutrition } from '../../hooks/useCalorieUnits';
import { closeIcon } from '../../svgIcons/svgIcons';

export const RecipeDetails = ({ recipe, onClose }) => {
    const { data: nutrition, isLoading } = useRecipeNutrition(recipe?.id);

    return (
        <div className="modal-overlay">
            <div className="modal-content">
                <button onClick={onClose} className="close-button">{closeIcon}</button>
                <h2 className="modal-title">{recipe?.title}</h2>
                <img src={recipe?.image} alt={recipe?.title} className="modal-image" />
                <div className="recipe-info">
                    <div className="info-item">
                        <Clock className="info-icon" />
                        {recipe?.readyInMinutes} mins
                    </div>
                    <div className="info-item">
                        <Users className="info-icon" />
                        {recipe?.servings} servings
                    </div>
                    {isLoading ? (
                        <div>Loading nutrition info...</div>
                    ) : (
                        nutrition && (
                            <div className="info-item">
                                <span>Amount: {nutrition?.amount}</span>
                                <span>Units: {nutrition?.units}</span>
                            </div>
                        )
                    )}
                </div>
            </div>
        </div>
    );
};
